Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## phelps.awt.geom
Class Dimension2D_Double

    java.lang.Object
      java.awt.geom.Dimension2D
          phelps.awt.geom.Dimension2D_Double

All Implemented Interfaces:
  java.lang.Cloneable

public class Dimension2D_Double
extends java.awt.geom.Dimension2D

Subclass of `Dimension2D` with `double` dimensions. Dimension2D should provides a way with inner classes like Point2D, but doesn't.

Version:
  $Revision: 1.1 $ $Date: 2003/09/29 14:23:15 $

Field Summary
`double` | `height`
`double` | `width`

Constructor Summary
`Dimension2D_Double()`
`Dimension2D_Double(double width, double height)`

Method Summary
`double` | `getHeight()`
`double` | `getWidth()`
`void` | `setSize(double width, double height)`
`java.lang.String` | `toString()`

Methods inherited from class java.awt.geom.Dimension2D
`clone, setSize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### width

    public double width

### height

    public double height

Constructor Detail

### Dimension2D_Double

    public Dimension2D_Double()

### Dimension2D_Double

    public Dimension2D_Double(double width,
                              double height)

Method Detail

### getWidth

    public double getWidth()

  Specified by:
    `getWidth` in class `java.awt.geom.Dimension2D`

### getHeight

    public double getHeight()

  Specified by:
    `getHeight` in class `java.awt.geom.Dimension2D`

### setSize

    public void setSize(double width,
                        double height)

  Specified by:
    `setSize` in class `java.awt.geom.Dimension2D`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD